package de.ozgcloud.eingang.enterprise.entry;

import java.time.LocalDate;
import java.util.Objects;

import org.apache.commons.lang3.StringUtils;

import lombok.Builder;
import lombok.Getter;
import lombok.ToString;
import lombok.extern.jackson.Jacksonized;

@Builder
@Getter
@Jacksonized
@ToString(onlyExplicitlyIncluded = true)
public class EntryFormDataField implements EntryFormDataItem {

	private String name;
	@ToString.Include
	private String label;

	private String stringValue;
	private Boolean booleanValue;
	private Number numberValue;
	private LocalDate dateValue;

	@Override
	public boolean isFormField() {
		return true;
	}

	public Object getValue() {
		if (StringUtils.isNotBlank(stringValue)) {
			return stringValue;
		}
		if (Objects.nonNull(booleanValue)) {
			return booleanValue;
		}
		if (Objects.nonNull(numberValue)) {
			return numberValue;
		}
		if (Objects.nonNull(dateValue)) {
			return dateValue;
		}
		return null;
	}
}
